# Class TCEFLabelButtonComponent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFLabelButtonComponent

## Declaration

`type TCEFLabelButtonComponent = class(TCEFButtonComponent)`

## Description

This item has no description.

## Hierarchy

- TObject
- TPersistent
- TComponent
- TCEFViewComponent
- TCEFButtonComponent
- TCEFLabelButtonComponent

## Overview

### Fields

| `FLabelButton: ICefLabelButton;`
| `FText: ustring;`

### Methods

| `procedure DestroyView; override;`
| `procedure Initialize; override;`
| `function GetInitialized: boolean; override;`
| `function GetAsView: ICefView; override;`
| `function GetAsButton: ICefButton; override;`
| `function GetAsLabelButton: ICefLabelButton; override;`
| `function GetAsMenuButton: ICefMenuButton; virtual;`
| `function GetText: ustring;`
| `function GetImage(button_state: TCefButtonState): ICefImage;`
| `procedure SetText(const text_: ustring);`
| `procedure SetImage(button_state: TCefButtonState; const image: ICefImage);`
| `procedure doCreateCustomView; override;`
| `procedure CreateLabelButton(const aText : ustring);`
| `procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);`
| `procedure SetEnabledTextColors(color: TCefColor);`
| `procedure SetFontList(const font_list: ustring);`
| `procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);`
| `procedure SetMinimumSize(const size_: TCefSize);`
| `procedure SetMaximumSize(const size_: TCefSize);`

### Properties

| `property Text : ustring read GetText write SetText;`
| `property Image[button_state: TCefButtonState]: ICefImage read GetImage write SetImage;`
| `property AsMenuButton : ICefMenuButton read GetAsMenuButton;`

## Description

### Fields

| `FLabelButton: ICefLabelButton;`
This item has no description.

| `FText: ustring;`
This item has no description.

### Methods

| `procedure DestroyView; override;`
This item has no description.

| `procedure Initialize; override;`
This item has no description.

| `function GetInitialized: boolean; override;`
This item has no description.

| `function GetAsView: ICefView; override;`
This item has no description.

| `function GetAsButton: ICefButton; override;`
This item has no description.

| `function GetAsLabelButton: ICefLabelButton; override;`
This item has no description.

| `function GetAsMenuButton: ICefMenuButton; virtual;`
This item has no description.

| `function GetText: ustring;`
This item has no description.

| `function GetImage(button_state: TCefButtonState): ICefImage;`
This item has no description.

| `procedure SetText(const text_: ustring);`
This item has no description.

| `procedure SetImage(button_state: TCefButtonState; const image: ICefImage);`
This item has no description.

| `procedure doCreateCustomView; override;`
ICefViewDelegateEvents

| `procedure CreateLabelButton(const aText : ustring);`
Create a new LabelButton. |aText| will be shown on the LabelButton and used as the default accessible name.

| `procedure SetTextColor(for_state: TCefButtonState; color: TCefColor);`
Sets the text color shown for the specified button |for_state| to |color|.

| `procedure SetEnabledTextColors(color: TCefColor);`
Sets the text colors shown for the non-disabled states to |color|.

| `procedure SetFontList(const font_list: ustring);`
Sets the font list. The format is "<FONT_FAMILY_LIST>,[STYLES] <SIZE>", where:
    - FONT_FAMILY_LIST is a comma-separated list of font family names,
    - STYLES is an optional space-separated list of style names (case-sensitive
      "Bold" and "Italic" are supported), and
    - SIZE is an integer font size in pixels with the suffix "px".
Here are examples of valid font description strings:
    - "Arial, Helvetica, Bold Italic 14px"
    - "Arial, 14px"

| `procedure SetHorizontalAlignment(alignment: TCefHorizontalAlignment);`
Sets the horizontal alignment; reversed in RTL. Default is CEF_HORIZONTAL_ALIGNMENT_CENTER.

| `procedure SetMinimumSize(const size_: TCefSize);`
Reset the minimum size of this LabelButton to |size|.

| `procedure SetMaximumSize(const size_: TCefSize);`
Reset the maximum size of this LabelButton to |size|.

### Properties

| `property Text : ustring read GetText write SetText;`
Gets and sets the text shown on the LabelButton. By default |text| will also be used as the accessible name.

| `property Image[button_state: TCefButtonState]: ICefImage read GetImage write SetImage;`
Returns the image shown for |button_state|. If no image exists for that state then the image for CEF_BUTTON_STATE_NORMAL will be returned.

| `property AsMenuButton : ICefMenuButton read GetAsMenuButton;`
Returns this LabelButton as a MenuButton or NULL if this is not a MenuButton.

Generated by PasDoc 0.16.0-snapshot.